Subject: Re: [RFC/PATCH 2/2] gitweb: Add an option to show size of blobs in the tree view

From: Jakub Narebski <[email-masked]>
Date: Thu, 2 Aug 2007 01:58:50 +0200

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> But I agree that this should be protected by the %feature mechanism.
>> Two questions:
>>
>>  1. Should we make '-l' default when turned on? Or make 'showsizes'
>>     %feature tristate: off, on, by default on?
>>
>>  2. If it is turned off, should we silently (or not so silently)
>>     ignore this option, or return "Permission denied" or perhaps
>>     "Invalid extra options parameter"?
>>
>> And how we should name this feature (key in %feature hash)?
> 
> I would say we would not do this by default, only with an
> explicit override with gitweb-config.perl.  I am not sure what
> the good name would be.  "expensive-ls-tree" perhaps?

So you think that ";opt=-l" would be required to have 'tree' view with 
blob (file) sizes, and it would be allowed only if 
gitweb_check_feature('ls-tree-size') is true (or something like that).
Should we return "Permission denied" or simply ignore "-l" extra option 
if it is prohivited by the config?

As to good name: 'showsize'? 'ls-tree-size'? 'ls-tree--long'?

>> P.S. I have received no comments on
>>  [RFC/PATCH] gitweb: Enable transparent compression for HTTP output
>> (trade CPU load for lower bandwidth usage).
> 
> That's probably nobody was interested in it.

Well, it was also posted in the middle of old thread... 

-- 
Jakub Narebski
Poland